com.collabnet.ce.soap60.webservices.cemain

## Class AuditHistorySoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.AuditHistorySoapRow

-     public class AuditHistorySoapRow
      extends Object

  AuditHistorySoapList class represents the audit history of an object.
  Since:
    4.1-SP3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MOVE`
    `static String` | `UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditHistorySoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComment()` Returns 'comment'.
    `Date` | `getDateModified()` Returns 'dateModified'.
    `String` | `getModifiedBy()` Returns 'modifiedBy'.
    `String` | `getModifierFullName()` Returns 'modifierFullName'.
    `String` | `getNewValue()` Returns 'newValue'.
    `String` | `getOldValue()` Returns 'oldValue'.
    `String` | `getOperation()` Returns 'operation'.
    `String` | `getPropertyName()` Returns 'propertyName'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setComment(String comment)` Sets 'comment'.
    `void` | `setDateModified(Date dateModified)` Sets 'dateModified'.
    `void` | `setModifiedBy(String modifiedBy)` Sets 'modifiedBy'.
    `void` | `setModifierFullName(String modifierFullName)` Sets 'modifierFullName'.
    `void` | `setNewValue(String newValue)` Sets 'newValue'.
    `void` | `setOldValue(String oldValue)` Sets 'oldValue'.
    `void` | `setOperation(String operation)` Sets 'operation'.
    `void` | `setPropertyName(String propertyName)` Sets 'propertyName'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UPDATE

          public static final String UPDATE

      See Also:
        Constant Field Values

    - #### MOVE

          public static final String MOVE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuditHistorySoapRow

          public AuditHistorySoapRow()

  - ### Method Detail

    - #### getOperation

          public String getOperation()

      Returns 'operation'. Name of the operation (UPDATE or MOVE)
      Returns:
        Value of 'operation'.

    - #### setOperation

          public void setOperation(String operation)

      Sets 'operation'. Name of the operation (UPDATE or MOVE)
      Parameters:
        `operation` - Value of 'operation'.

    - #### getPropertyName

          public String getPropertyName()

      Returns 'propertyName'. Name of the modified property.
      Returns:
        Value of 'propertyName'.

    - #### setPropertyName

          public void setPropertyName(String propertyName)

      Sets 'propertyName'. Name of the modified property.
      Parameters:
        `propertyName` - Value of 'propertyName'.

    - #### getOldValue

          public String getOldValue()

      Returns 'oldValue'. Old value of the property.
      Returns:
        Value of 'oldValue'.

    - #### setOldValue

          public void setOldValue(String oldValue)

      Sets 'oldValue'. Old value of the property.
      Parameters:
        `oldValue` - Value of 'oldValue'.

    - #### getNewValue

          public String getNewValue()

      Returns 'newValue'. Modified value of the property.
      Returns:
        Value of 'newValue'.

    - #### setNewValue

          public void setNewValue(String newValue)

      Sets 'newValue'. Modified value of the property.
      Parameters:
        `newValue` - Value of 'newValue'.

    - #### getComment

          public String getComment()

      Returns 'comment'. Comment associated with this change.
      Returns:
        Value of 'comment'.

    - #### setComment

          public void setComment(String comment)

      Sets 'comment'. Comment associated with this change.
      Parameters:
        `comment` - Value of 'comment'.

    - #### getModifiedBy

          public String getModifiedBy()

      Returns 'modifiedBy'. Name of the user who modified this property.
      Returns:
        Value of 'modifiedBy'.

    - #### setModifiedBy

          public void setModifiedBy(String modifiedBy)

      Sets 'modifiedBy'. Name of the user who modified this property.
      Parameters:
        `modifiedBy` - Value of 'modifiedBy'.

    - #### getModifierFullName

          public String getModifierFullName()

      Returns 'modifierFullName'. Full name of the user who modified this property.
      Returns:
        Value of 'modifierFullName'.

    - #### setModifierFullName

          public void setModifierFullName(String modifierFullName)

      Sets 'modifierFullName'. Full name of the user who modified this property.
      Parameters:
        `modifierFullName` - Value of 'modifierFullName'.

    - #### getDateModified

          public Date getDateModified()

      Returns 'dateModified'. Date when the property was modified.
      Returns:
        Value of 'dateModified'.

    - #### setDateModified

          public void setDateModified(Date dateModified)

      Sets 'dateModified'. Date when the property was modified.
      Parameters:
        `dateModified` - Value of 'dateModified'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.